Skip to main content
POST
/
v2
/
insights
/
bookings
/
kpi-stats
Get booking KPI stats
curl --request POST \
  --url https://api.cal.com/v2/insights/bookings/kpi-stats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "user",
  "timeZone": "America/New_York",
  "selectedTeamId": 12,
  "columnFilters": [
    {
      "id": "createdAt",
      "value": {
        "type": "dr",
        "data": {
          "startDate": "2024-01-01",
          "endDate": "2024-01-31",
          "preset": "custom"
        }
      }
    }
  ]
}
'
import requests

url = "https://api.cal.com/v2/insights/bookings/kpi-stats"

payload = {
"scope": "user",
"timeZone": "America/New_York",
"selectedTeamId": 12,
"columnFilters": [
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'user',
timeZone: 'America/New_York',
selectedTeamId: 12,
columnFilters: [
{
id: 'createdAt',
value: {
type: 'dr',
data: {startDate: '2024-01-01', endDate: '2024-01-31', preset: 'custom'}
}
}
]
})
};

fetch('https://api.cal.com/v2/insights/bookings/kpi-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "empty": false,
    "created": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "scheduled": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "completed": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "rescheduled": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "cancelled": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "no_show": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "no_show_guest": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "rating": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "csat": {
      "count": 10,
      "deltaPrevious": 12.5
    },
    "previousRange": {
      "startDate": "Dec 1, 2023",
      "endDate": "Dec 31, 2023"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
scope
enum<string>
required
Available options:
user,
team,
org
Example:

"user"

timeZone
string
required

IANA timezone used to group time-series insights

Example:

"America/New_York"

selectedTeamId
number

Team ID for team-scoped insights

Example:

12

columnFilters
object[]

Data-table column filters (discriminated union by type: ss, ms, t, n, dr). Date range filters use id=startTime or id=createdAt.

Example:
[
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]

Response

200 - application/json
status
enum<string>
required

Response status

Available options:
success,
error
Example:

"success"

data
object
required

KPI statistics data